function pulse = getPulse(txValue, fs)
    %Pulse shapes the txValues using rectangular pulse
    %assuming Ts = 1 (normalized)
    
    len = length(txValue);
    pulse = NaN(len*fs, 1);
    
    for k = 1:len
       pulse((k-1)*fs + 1:k*fs) = txValue(k)*ones(fs, 1);
    end
    
end