function [bits, syms] = recoverBits(rxSig)
%recover the original bits from detected values

bits = NaN(2*length(rxSig), 1);
syms = NaN(length(rxSig), 1);

%Using constellation to get the symbols
for n = 1:length(rxSig)
    first = 2*n - 1;
    second = 2*n;
    
    switch rxSig(n)
        case -3
            syms(n) = 2;
        case -1
            syms(n) = 1;
        case 1
            syms(n) = 0;
        otherwise
            syms(n) = 3;
    end
    
    %Unpack symbols into bits
    switch syms(n)
        case 0
            bits(first) = 0;
            bits(second) = 0;
        case 1
            bits(first) = 1;
            bits(second) = 0;
        case 2
            bits(first) = 0;
            bits(second) = 1;
        otherwise
            bits(first) = 1;
            bits(second) = 1;
    end
end

end

